curl --request POST \
--url https://api.example.com/v1/companies/:id/notes \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"note_type": "<string>",
"tags": [
{}
]
}
'{
"data": {}
}Create a note attached to a specific company
curl --request POST \
--url https://api.example.com/v1/companies/:id/notes \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"note_type": "<string>",
"tags": [
{}
]
}
'{
"data": {}
}Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
id, title, content, note_type, tags, created_datecurl -X POST https://data.leadlex.com/functions/v1/api-gateway/v1/companies/co-001/notes \
-H "Authorization: Bearer wbk_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{ "title": "Industry research", "content": "Key findings about the legal tech market" }'
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | Missing title |
| 404 | not_found | Company not found |
| 403 | insufficient_permissions | Missing companies:write permission |